Name:       marathi-typing-booster
Version:    0.0.1
Release:    7%{?dist}
Summary:    Marathi Typing Booster Table for IBus Indic Tables
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table
Patch1: bug-718626.patch
Patch2: dny-chractar.patch
Patch3: increase-base-char-freq.patch
Patch4: bug-742861.patch
Patch5: bug-748349.patch

%description
Indic Typing Booster Package contains tables for Indic languages Marathi

%prep
%setup -q
%patch1 -p1 -b .1-updated-locale-name
%patch2 -p1 -b .2-fixed-dny-character-key
%patch3 -p1 -b .3-increase-base-char-freq
%patch4 -p1 -b .4-symbol-tag
%patch5 -p1 -b .5-numerals

%build
%configure \
  --enable-marathi-phonetic \
  --enable-marathi-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n marathi-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n marathi-inscript.db


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/marathi.svg
%{_datadir}/ibus-indic-table/indic-tables/marathi-phonetic.db
%{_datadir}/ibus-indic-table/indic-tables/marathi-inscript.db



%changelog
* Mon Oct 24 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-7
- Resolved bug 748349, added numerals support

* Mon Oct 24 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-6
- Resolved bug 748349, numerals support in inscript and phonetic

* Mon Oct 03 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-5
- Resolved bug #742861

* Wed Aug 05 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-4
- improved freq of basic characters

* Tue Aug 02 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- corrected dny key

* Mon Jul 04 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- Resolved bug 718626

* Fri Mar 11 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Marathi Phonetic
- Added Marathi Inscript
